EA_TTIP_DOALERTSOUND = "Play a sound when an event triggers.";
EA_TTIP_LOCKFRAME = "Locks the notification frame so it cannot be moved.";
EA_TTIP_SHOWFRAME = "Toggle the showing/hiding of the notification frame on events.";

function EventAlert_Options_OnLoad()
    UIPanelWindows["EA_Options_Frame"] = {area = "center", pushable = 0};
end

function EventAlert_Options_Init()
    EA_Options_Frame_DoAlertSound:SetChecked(EA_Config.DoAlertSound);
    EA_Options_Frame_ShowFrame:SetChecked(EA_Config.ShowFrame);
    EA_Options_Frame_LockFrame:SetChecked(EA_Config.LockFrame);
end


function EventAlert_Options_MouseDown(button)
    if button == "LeftButton" then
        EA_Options_Frame:StartMoving();
    end
end

function EventAlert_Options_MouseUp(button)
    if button == "LeftButton" then
        EA_Options_Frame:StopMovingOrSizing();
    end
end